﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WPF_Chart_Tooltips_BitmapMode
{
    public static class Toolbox
    {
        public static DispatchService DispatchService { get; private set; }

        public static void Initialize(DispatchService dispatchService)
        {
            DispatchService = dispatchService;
        }

        public static void DispatchToUI(Action action, bool isSynchronous = false)
        {
            if (DispatchService.CheckAccess())
            {
                action();
            }
            else
            {
                if (isSynchronous)
                {
                    DispatchService.Invoke(action);
                }
                else
                {
                    DispatchService.BeginInvoke(action);
                }
            }
        }
    }
}
